// Copyright (C) 2007-2015  CEA/DEN, EDF R&D, OPEN CASCADE
//
// Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
// CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//
// See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
//

// GEOM GEOMGUI : GUI for Geometry component
// File   : BuildGUI_SolidDlg.h
// Author : Damien COQUERET, Open CASCADE S.A.S.

#ifndef BUILDGUI_SOLIDDLG_H
#define BUILDGUI_SOLIDDLG_H

#include "GEOMBase_Skeleton.h"
#include "GEOM_GenericObjPtr.h"

class DlgRef_1Sel1Check;

//=================================================================================
// class    : BuildGUI_SolidDlg
// purpose  :
//=================================================================================
class BuildGUI_SolidDlg : public GEOMBase_Skeleton
{ 
  Q_OBJECT

public:
  BuildGUI_SolidDlg( GeometryGUI*, QWidget* = 0 );
  ~BuildGUI_SolidDlg();

protected:
  // redefined from GEOMBase_Helper
  virtual GEOM::GEOM_IOperations_ptr createOperation();
  virtual bool                       isValid( QString& );
  virtual bool                       execute( ObjectList& );
  virtual QList<GEOM::GeomObjPtr>    getSourceObjects();

private:
  void                               Init();
  //bool                               isClosed( GEOM::GEOM_Object_ptr shell );
  void                               enterEvent( QEvent* );

private:
  QList<GEOM::GeomObjPtr>            myShells;

  DlgRef_1Sel1Check*                 GroupSolid;
  DlgRef_1Sel1Check*                 GroupFaces;

private slots:
  void                               ClickOnOk();
  bool                               ClickOnApply();
  void                               SetEditCurrentArgument();
  void                               SelectionIntoArgument();
  void                               ConstructorsClicked( int );
  void                               ActivateThisDialog();
  void                               EnableNameField( bool );
};

#endif // BUILDGUI_SOLIDDLG_H
